## kapptemplate 4.13.0

=== templates/ruby/CMakeLists.txt ===
set(apptemplate_DIRS
    kderubyapp
    rubykonqplugin
)

kapptemplate_add_app_templates(${apptemplate_DIRS})

=== templates/QML/qml-plasmoid/CMakeLists.txt ===
# Project Needs a name ofcourse
project(plasma-%{APPNAMELC})
 
# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

install(DIRECTORY package/
        DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/%{APPNAMELC})

install(FILES package/metadata.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}
        RENAME plasma-applet-%{APPNAMELC}.desktop)

=== templates/C++/kapp4-qml/src/qml/CMakeLists.txt ===
install( FILES main.qml  DESTINATION  ${DATA_INSTALL_DIR}/%{APPNAMELC}/qml/ )

## kapptemplate 4.11.2

=== debian/changelog ===
kapptemplate (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:59:17 +0100

kapptemplate (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:06:49 +0100

kapptemplate (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:59:37 +0100

kapptemplate (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:07:25 +0100

kapptemplate (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:53 +0000

kapptemplate (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream beta release

  [ Howard Chan ]
  * Fix dependency of kapptemplate from kapptemplate-dbg
    to get rid of lintian warnings in control file.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 28 Jun 2013 18:00:34 +0100

kapptemplate (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package, split from kapptemplate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:30:57 +0100

=== debian/control ===
Source: kapptemplate
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.11.2)
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kapptemplate
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kapptemplate

Package: kapptemplate
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdelibs5-dev (>= 4:4.11.2)
Description: application template generator
 KAppTemplate is a shell script that will create the necessary framework to
 develop several types of applications, including applications based on the 
 KDE development platform.
 .
 It generates the build-system configuration and provides example code
 for a simple application.
 .
 This package is part of the KDE Software Development Kit module.

Package: kapptemplate-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg, kapptemplate (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Description: debugging symbols for kapptemplate
 This package contains debugging files used to investigate problems with
 binaries included in kapptemplate.

## kapptemplate 4.11.3

=== debian/changelog ===
kapptemplate (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 14:25:51 +0100

kapptemplate (4:4.11.2-1) experimental; urgency=low

  * First release of kdesdk after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 10:58:40 +0200

=== debian/control ===
Source: kapptemplate
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.11),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11)
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kapptemplate.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kapptemplate.git

Package: kapptemplate
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdelibs5-dev (>= 4:4.1.80)
Description: application template generator
 KAppTemplate is a shell script that will create the necessary framework to
 develop several types of applications, including applications based on the
 KDE development platform.
 .
 It generates the build-system configuration and provides example code
 for a simple application.
 .
 This package is part of the KDE Software Development Kit module.

## kapptemplate 4.12.3

=== debian/changelog ===
kapptemplate (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:24:00 +0100

kapptemplate (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:22:28 +0100

kapptemplate (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:39:13 +0000

kapptemplate (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:58:28 +0000

kapptemplate (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:27:55 +0000

kapptemplate (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:34:18 +0000

kapptemplate (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:45:50 +0100

kapptemplate (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:28:24 +0100

=== debian/control ===
Source: kapptemplate
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.12.3)
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kapptemplate
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kapptemplate

Package: kapptemplate
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdelibs5-dev (>= 4:4.12.3)
Description: application template generator
 KAppTemplate is a shell script that will create the necessary framework to
 develop several types of applications, including applications based on the 
 KDE development platform.
 .
 It generates the build-system configuration and provides example code
 for a simple application.
 .
 This package is part of the KDE Software Development Kit module.

Package: kapptemplate-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg, kapptemplate (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Description: debugging symbols for kapptemplate
 This package contains debugging files used to investigate problems with
 binaries included in kapptemplate.

## kapptemplate 4.13.0

=== debian/changelog ===
kapptemplate (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:39:44 +0100

kapptemplate (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:11:14 +0200

kapptemplate (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:58:05 +0100

kapptemplate (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:37:57 +0000

kapptemplate (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:30:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.12.3)
+ kdepimlibs5-dev (>= 4:4.13.0)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kapptemplate
@@ -14,7 +14,7 @@
 Architecture: any
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: kdelibs5-dev (>= 4:4.12.3)
+Suggests: kdelibs5-dev (>= 4:4.13.0)
 Description: application template generator
  KAppTemplate is a shell script that will create the necessary framework to
  develop several types of applications, including applications based on the

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kapptemplate-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kapptemplate-([\d\.]*).tar.xz

## kapptemplate 4.13.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(kapptemplate)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIR})

include(KAppTemplateMacro)

add_subdirectory(doc)
add_subdirectory(icons)
add_subdirectory(templates)
add_subdirectory(tests)

set(kapptemplate_SRCS
   kapptemplate.cpp
   main.cpp
   apptemplatesmodel.cpp
   apptemplateitem.cpp
   generatepage.cpp
   choicepage.cpp
 )

kde4_add_ui_files(kapptemplate_SRCS introduction.ui choice.ui properties.ui generate.ui)

kde4_add_kcfg_files(kapptemplate_SRCS prefs.kcfgc )

kde4_add_app_icon(kapptemplate_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-kapptemplate.png")

kde4_add_executable(kapptemplate ${kapptemplate_SRCS})

target_link_libraries(kapptemplate ${KDE4_KIO_LIBS})

install(TARGETS kapptemplate ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( PROGRAMS kapptemplate.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kapptemplate.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install(FILES default.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/C++/kapp4/kapp4.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/C++/kde-simple/kde-simple.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/C++/plasmoid/plasma-applet.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/ruby/kderubyapp/kderubyapp.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/Python/pyqt4app/pyqt4app.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/Python/pykde4app/pykde4.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/C++/qmake_qt4guiapp/qmake4gui.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/C++/kpartapp/kpartapp.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/C++/akonadiresource/akonadi-resources.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/C++/akonadiserializer/akonadi-serializer.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/C++/runner/runner.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/C++/konqplugin/konqplugin.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/QML/qml-plasmoid/qml-plasmoid.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES templates/QML/qt5-qml2/qt5-qml2.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)

macro_display_feature_log()

=== templates/C++/akonadiserializer/CMakeLists.txt ===
project(%{APPNAMELC})

# search packages used by KDE
find_package (KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)
include(CheckIncludeFiles)
find_package (KdepimLibs REQUIRED)

if(WIN32)
    set(LIB_INSTALL_DIR ${LIB_INSTALL_DIR}
                        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
                        LIBRARY DESTINATION ${LIB_INSTALL_DIR}
                        ARCHIVE DESTINATION ${LIB_INSTALL_DIR} )
endif(WIN32)

include_directories(
    ${KDE4_INCLUDES}
    ${KDEPIMLIBS_INCLUDE_DIRS}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )


########### next target ###############

set( akonadi_serializer_%{APPNAMELC}_SRCS
  akonadi_serializer_%{APPNAMELC}.cpp
)

kde4_add_plugin(akonadi_serializer_%{APPNAMELC} ${akonadi_serializer_%{APPNAMELC}_SRCS})

target_link_libraries(akonadi_serializer_%{APPNAMELC} ${KDE4_AKONADI_LIBS} ${QT_QTCORE_LIBRARY} ${KDE4_KDECORE_LIBS})

install(TARGETS akonadi_serializer_%{APPNAMELC} DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES
  akonadi_serializer_%{APPNAMELC}.desktop
  DESTINATION ${DATA_INSTALL_DIR}/akonadi/plugins/serializer)

=== templates/C++/kofficetext/CMakeLists.txt ===
project(%{APPNAME})

cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include(KDE4Defaults)
include(MacroLibrary)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} ${KOTEXT_INCLUDES} ${KOMAIN_INCLUDES} )

set(%{APPNAMELC}_SRCS
    %{APPNAME}Plugin.cpp
    %{APPNAME}.cpp
    %{APPNAME}Factory.cpp
)

kde4_add_plugin(kotext%{APPNAMELC} ${%{APPNAMELC}_SRCS})

target_link_libraries(kotext%{APPNAMELC}
    QtCore
    QtGui
    kotext
    ${KDE4_KDEUI_LIBS}
)

install(TARGETS kotext%{APPNAMELC} DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES kotext%{APPNAMELC}.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== templates/C++/kapp4-qml/src/CMakeLists.txt ===
set(%{APPNAMELC}_SRCS
   %{APPNAMELC}.cpp
   main.cpp
   %{APPNAMELC}view.cpp
 )

kde4_add_ui_files(%{APPNAMELC}_SRCS %{APPNAMELC}view_base.ui prefs_base.ui)

kde4_add_kcfg_files(%{APPNAMELC}_SRCS settings.kcfgc )

kde4_add_executable(%{APPNAMELC} ${%{APPNAMELC}_SRCS})

target_link_libraries(%{APPNAMELC} ${KDE4_KDEUI_LIBS} ${QT_QTDECLARATIVE_LIBRARY})

install(TARGETS %{APPNAMELC} ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS %{APPNAMELC}.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES %{APPNAMELC}.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES %{APPNAMELC}ui.rc  DESTINATION  ${DATA_INSTALL_DIR}/%{APPNAMELC} )

add_subdirectory(qml)

=== templates/C++/kapp4/src/CMakeLists.txt ===
set(%{APPNAMELC}_SRCS
   %{APPNAMELC}.cpp
   main.cpp
   %{APPNAMELC}view.cpp
 )

kde4_add_ui_files(%{APPNAMELC}_SRCS %{APPNAMELC}view_base.ui prefs_base.ui)

kde4_add_kcfg_files(%{APPNAMELC}_SRCS settings.kcfgc )

kde4_add_executable(%{APPNAMELC} ${%{APPNAMELC}_SRCS})

target_link_libraries(%{APPNAMELC} ${KDE4_KDEUI_LIBS} )

install(TARGETS %{APPNAMELC} ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS %{APPNAMELC}.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES %{APPNAMELC}.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES %{APPNAMELC}ui.rc  DESTINATION  ${DATA_INSTALL_DIR}/%{APPNAMELC} )

=== templates/ruby/kderubyapp/src/CMakeLists.txt ===
find_package(KDE4 REQUIRED)

set(UI_PREFS_BASE ${CMAKE_CURRENT_SOURCE_DIR}/prefs_base.ui)
set(UI_%{APPNAMEUC}_VIEW_BASE ${CMAKE_CURRENT_SOURCE_DIR}/%{APPNAMELC}view_base.ui)
set(SETTINGS_KCFGC ${CMAKE_CURRENT_SOURCE_DIR}/settings.kcfgc)
set(%{APPNAMEUC}_KCFG ${CMAKE_CURRENT_SOURCE_DIR}/%{APPNAMELC}.kcfg)

find_program(RBUIC4 rbuic4 PATHS ${BIN_INSTALL_DIR})
if(RBUIC4)
    find_program(RBKCONFIG_COMPILER4 rbkconfig_compiler4 PATHS ${BIN_INSTALL_DIR})
    if(RBKCONFIG_COMPILER4)
        add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/settings.rb COMMAND ${RBKCONFIG_COMPILER4} -d ${CMAKE_CURRENT_BINARY_DIR} ${%{APPNAMEUC}_KCFG} ${SETTINGS_KCFGC} COMMENT "Generating settings.rb")
        add_custom_target(settings ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/settings.rb)

        add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ui_prefs_base.rb COMMAND ${RBUIC4} -tr KDE::tr2i18n ${UI_PREFS_BASE} -o ${CMAKE_CURRENT_BINARY_DIR}/ui_prefs_base.rb COMMENT "Generating ui_prefs_base.rb")
        add_custom_target(prefs_base ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/ui_prefs_base.rb)
        add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ui_%{APPNAMELC}view_base.rb COMMAND ${RBUIC4} -tr KDE::tr2i18n ${UI_%{APPNAMEUC}_VIEW_BASE} -o ${CMAKE_CURRENT_BINARY_DIR}/ui_%{APPNAMELC}view_base.rb COMMENT "Generating ui_%{APPNAMELC}view_base.rb")
        add_custom_target(%{APPNAMELC}view_base ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/ui_%{APPNAMELC}view_base.rb)

        install( PROGRAMS %{APPNAMELC}.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
        install( FILES %{APPNAMELC}ui.rc  DESTINATION  ${DATA_INSTALL_DIR}/%{APPNAMELC} )

        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ui_prefs_base.rb DESTINATION ${DATA_INSTALL_DIR}/%{APPNAMELC})
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ui_%{APPNAMELC}view_base.rb DESTINATION ${DATA_INSTALL_DIR}/%{APPNAMELC})
        install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/%{APPNAMELC}.rb DESTINATION ${DATA_INSTALL_DIR}/%{APPNAMELC})
        install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/main.rb DESTINATION ${DATA_INSTALL_DIR}/%{APPNAMELC})
        install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/%{APPNAMELC}view.rb DESTINATION ${DATA_INSTALL_DIR}/%{APPNAMELC})
        install( FILES %{APPNAMELC}.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
    else(RBKCONFIG_COMPILER4)
        message(STATUS "rbkconfig_compiler4 not found, settings.rb will not created")
    endif(RBKCONFIG_COMPILER4)
else(RBUIC4)
    message(STATUS "rbuic4 not found, %{APPNAMELC} will not created")
endif(RBUIC4)

=== debian/changelog ===
kapptemplate (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:21:47 +0200

kapptemplate (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:46:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.13.0)
+ kdepimlibs5-dev (>= 4:4.13.3)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kapptemplate
@@ -14,7 +14,7 @@
 Architecture: any
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: kdelibs5-dev (>= 4:4.13.0)
+Suggests: kdelibs5-dev (>= 4:4.13.3)
 Description: application template generator
  KAppTemplate is a shell script that will create the necessary framework to
  develop several types of applications, including applications based on the

## kapptemplate 4.14.1

=== debian/changelog ===
kapptemplate (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:27 +0200

kapptemplate (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install file.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 22:02:31 +0200

kapptemplate (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 27 Jul 2014 11:17:24 +0200

kapptemplate (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:25 +0200

kapptemplate (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Add autopkgtests.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:30 +0100

=== debian/control ===
Source: kapptemplate
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kapptemplate.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kapptemplate.git

Package: kapptemplate
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kdelibs5-dev (>= 4:4.1.80)
Description: application template generator
 KAppTemplate is a shell script that will create the necessary framework to
 develop several types of applications, including applications based on the
 KDE development platform.
 .
 It generates the build-system configuration and provides example code
 for a simple application.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kapptemplate-([\d.]+).tar.xz

## kapptemplate 4.14.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,6 +49,7 @@
 install(FILES default.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
 install(FILES templates/C++/kapp4/kapp4.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
 install(FILES templates/C++/kde-simple/kde-simple.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
+install(FILES templates/C++/kde-frameworks5-simple/kde-frameworks5-simple.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
 install(FILES templates/C++/plasmoid/plasma-applet.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
 install(FILES templates/ruby/kderubyapp/kderubyapp.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
 install(FILES templates/Python/pyqt4app/pyqt4app.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)

=== debian/changelog ===
kapptemplate (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:39:09 +0200

kapptemplate (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:03:23 -0700

kapptemplate (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:31:45 +0200

kapptemplate (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:35:21 +0200

kapptemplate (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Update .install file

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:17:50 +0200

kapptemplate (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:29:35 +0200

kapptemplate (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:38:13 +0200

kapptemplate (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:43:58 +0100

kapptemplate (4:4.13.0-0ubuntu3) utopic; urgency=medium

  * Add missing files

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 04 Jun 2014 14:55:40 +0200

kapptemplate (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Merge with debian, remaining changes
    - Keep dbg packages around

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 04 Jun 2014 12:32:03 +0200

=== debian/control ===
Source: kapptemplate
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.14.2),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kapptemplate.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kapptemplate.git

Package: kapptemplate
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kdelibs5-dev (>= 4:4.14.2)
Description: application template generator
 KAppTemplate is a shell script that will create the necessary framework to
 develop several types of applications, including applications based on the
 KDE development platform.
 .
 It generates the build-system configuration and provides example code
 for a simple application.
 .
 This package is part of the KDE Software Development Kit module.

Package: kapptemplate-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg, kapptemplate (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Description: debugging symbols for kapptemplate
 This package contains debugging files used to investigate problems with
 binaries included in kapptemplate.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbg-package=kapptemplate-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kapptemplate-([\d\.]*).tar.xz

## kapptemplate 14.12.3

=== debian/changelog ===
kapptemplate (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:00:41 -0700

kapptemplate (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:54:09 -0800

kapptemplate (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:22:00 +0100

kapptemplate (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate
  * Fix watch urls for new release location.
  * Update Vcs urls for the new repository location.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update the maintainer
  * Refresh build-dependencies for the kf5 port
  * kapptemplate suggests kio-dev instead of kdelibs5-dev
  * Refresh kapptemplate.install
  * Switch to v3 dhmk for kf5
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 20:55:35 +0100

kapptemplate (4:4.50.0-0ubuntu1) UNRELEASED; urgency=medium

  * KDE Frameworks 5 Port.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 31 Oct 2014 11:59:11 +0100

=== debian/control ===
Source: kapptemplate
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kde-sc-dev-latest (>= 4:4.12),
               kdoctools-dev,
               kio-dev,
               libkf5archive-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kapptemplate.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kapptemplate.git

Package: kapptemplate
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kio-dev
Description: application template generator
 KAppTemplate is a shell script that will create the necessary framework to
 develop several types of applications, including applications based on the
 KDE development platform.
 .
 It generates the build-system configuration and provides example code
 for a simple application.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kapptemplate-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kapptemplate-([\d.]+).tar.xz

## kapptemplate 15.08.2

=== debian/changelog ===
kapptemplate (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:58:04 +0100

kapptemplate (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:16:19 +0100

kapptemplate (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:07:49 +0100

kapptemplate (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:33:29 +0100

kapptemplate (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:37:02 +0200

## kapptemplate 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(kapptemplate)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(ECMInstallIcons)
include(ECMAddTests)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
include(KAppTemplateMacro)

find_package(Qt5 REQUIRED COMPONENTS Test)
find_package(KF5 REQUIRED COMPONENTS CoreAddons ConfigWidgets Completion Archive KIO I18n DocTools)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

add_subdirectory(doc)
add_subdirectory(icons)
add_subdirectory(src)
add_subdirectory(tests)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/application/CMakeLists.txt ===
set(kapptemplate_SRCS
   kapptemplate.cpp
   main.cpp
   apptemplatesmodel.cpp
   apptemplateitem.cpp
   generatepage.cpp
   choicepage.cpp
)

qt5_wrap_ui(kapptemplate_SRCS introduction.ui choice.ui properties.ui generate.ui)

kconfig_add_kcfg_files(kapptemplate_SRCS prefs.kcfgc)

add_executable(kapptemplate ${kapptemplate_SRCS})

target_link_libraries(kapptemplate KF5::CoreAddons KF5::ConfigWidgets KF5::Completion KF5::KIOWidgets KF5::Archive KF5::KIOCore KF5::I18n)

install(TARGETS kapptemplate ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS kapptemplate.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR})
install(FILES kapptemplate.appdata.xml DESTINATION  ${DATA_INSTALL_DIR}/appdata)
install(FILES kapptemplate.kcfg  DESTINATION  ${KCFG_INSTALL_DIR})
install(FILES default.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)

=== src/templates/CMakeLists.txt ===
# TODO Move all templates to the templates "root" directory and update/improve the kapptemplate_add_app_templates

add_subdirectory(C++)
add_subdirectory(QML)

install(FILES C++/kapp4-qml/kapp4.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES C++/kde-simple/kde-simple.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES C++/kde-frameworks5-simple/kde-frameworks5-simple.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES C++/kde-frameworks5/kde-frameworks5.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES C++/qmake_qt4guiapp/qmake4gui.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES C++/kpartapp/kpartapp.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES C++/akonadiresource/akonadi-resources.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES C++/akonadiserializer/akonadi-serializer.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES C++/runner/runner.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES C++/konqplugin/konqplugin.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES C++/cmake_qt5guiapp/cmake_qt5guiapp.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES QML/qml-plasmoid/qml-plasmoid.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)
install(FILES QML/qt5-qml2/qt5-qml2.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews)

=== src/templates/C++/CMakeLists.txt ===
set(apptemplate_DIRS
    kapp4-qml
    kde-simple
    kde-frameworks5-simple
    kde-frameworks5
    runner
    ktexteditor
    konqplugin
    qmake_qt4guiapp
    kpartapp
    akonadiresource
    akonadiserializer
    cmake_qt5guiapp
)

kapptemplate_add_app_templates(${apptemplate_DIRS})

=== src/templates/QML/CMakeLists.txt ===
set(apptemplate_DIRS
    qml-plasmoid
    qt5-qml2)

kapptemplate_add_app_templates(${apptemplate_DIRS})

=== src/templates/C++/akonadiresource/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(%{APPNAMELC})

############ ECM setup ###########
find_package(ECM 5.13.0 CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMQtDeclareLoggingCategory)

########### Dependencies ###########

set(KF5_VERSION "5.13.0")
set(AKONADI_VERSION "5.0")
set(QT_REQUIRED_VERSION "5.3.0")

find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED Core Network Gui)

find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_MIN_VERSION} CONFIG REQUIRED)

find_program(XSLTPROC_EXECUTABLE xsltproc DOC "Path to xslt executable")

if(XSLTPROC_EXECUTABLE)
    # We depend on kdepimlibs, make sure it's found
    if(NOT DEFINED KF5Akonadi_DATA_DIR)
        find_package(KF5Akonadi REQUIRED)
    endif()

    # Macro to generate a D-Bus interface description from a KConfigXT file
    macro(kcfg_generate_dbus_interface _kcfg _name)
        add_custom_command(
            OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
            COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
                    ${KF5Akonadi_DATA_DIR}/kcfg2dbus.xsl
                    ${_kcfg}
                    > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
            DEPENDS ${KF5Akonadi_DATA_DIR}/kcfg2dbus.xsl
            ${_kcfg}
        )
    endmacro()
endif()

########### next target ###############

set(%{APPNAMELC}resource_SRCS
    %{APPNAMELC}resource.cpp
)

ecm_qt_declare_logging_category(%{APPNAMELC}resource_SRCS
    HEADER debug.h
    IDENTIFIER log_%{APPNAMELC}resource
    CATEGORY_NAME log_%{APPNAMELC}resource
)

kconfig_add_kcfg_files(%{APPNAMELC}resource_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/settings.kcfgc
)

kcfg_generate_dbus_interface(
    ${CMAKE_CURRENT_SOURCE_DIR}/%{APPNAMELC}resource.kcfg
    org.kde.Akonadi.%{APPNAME}.Settings
)

qt5_add_dbus_adaptor(%{APPNAMELC}resource_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.%{APPNAME}.Settings.xml
    ${CMAKE_CURRENT_BINARY_DIR}/settings.h
    Settings
)


add_executable(akonadi_%{APPNAMELC}_resource ${%{APPNAMELC}resource_SRCS})
target_link_libraries(akonadi_%{APPNAMELC}_resource
    Qt5::DBus
    KF5::AkonadiAgentBase
    KF5::ConfigCore
)

install(TARGETS akonadi_%{APPNAMELC}_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES %{APPNAMELC}resource.desktop
        DESTINATION "${KDE_INSTALL_DATAROOTDIR}/share/akonadi/agents"
)

########### summary ############

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/templates/C++/runner/CMakeLists.txt ===
project(plasma-%{APPNAMELC})

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(QT_MIN_VERSION "5.4.0")
set(KF5_MIN_VERSION "5.14.0")
set(INSTALL_SDDM_THEME TRUE)
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets )
find_package(ECM 1.8.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Runner)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMPackageConfigHelpers)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)

set(%{APPNAMELC}_SRCS %{APPNAMELC}.cpp)

add_library(krunner_%{APPNAMELC} MODULE ${%{APPNAMELC}_SRCS})
target_link_libraries(krunner_%{APPNAMELC} KF5::Runner)

install(TARGETS krunner_%{APPNAMELC} DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES %{APPNAMELC}.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
kapptemplate (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:02:47 -0700

kapptemplate (4:15.12.1-1ubuntu1) xenial; urgency=medium

  [ Philip Muškovac ]
  * Expand the install file so qml-plasmoid can be excluded which is now
    shipped in plasma-framework as well.
  * Add qml-plasmoid to not-installed

  [ Clive Johnston ]
  * Merged with Debian
  * New upstream release 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:28:43 +0100

kapptemplate (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:12 +0100

kapptemplate (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:54 +0100

kapptemplate (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:53 +0200

kapptemplate (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:44:59 +0200

kapptemplate (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 13:36:10 +0200

kapptemplate (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:08 +0200

kapptemplate (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Feb 2015 11:46:02 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,22 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules,
-               kde-sc-dev-latest (>= 4:4.12),
+               extra-cmake-modules (>= 1.0.0),
                kdoctools-dev,
                kio-dev,
                libkf5archive-dev,
-               pkg-kde-tools (>= 0.12)
+               libkf5completion-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5i18n-dev,
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kapptemplate.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kapptemplate.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kapptemplate.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kapptemplate.git
 
 Package: kapptemplate
 Architecture: any

## kapptemplate 16.04.3

=== debian/changelog ===
kapptemplate (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Remove override, file now removed upstream. 
  * Install to /tmp to avoid dh_install boom. 
  * Remove files no longer available. 
  * Remove another file from install. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:26:33 +0200

kapptemplate (4:15.12.2-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.2).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 10:08:04 +0100

=== debian/control ===
--- 
+++ 
@@ -9,20 +9,20 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.0.0),
-               kdoctools-dev,
-               kio-dev,
-               libkf5archive-dev,
-               libkf5completion-dev,
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5archive-dev (>= 5.24.0~),
+               libkf5completion-dev (>= 5.24.0~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kapptemplate.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kapptemplate.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapptemplate
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapptemplate
 
 Package: kapptemplate
 Architecture: any
